<div class="container">
        <!-- colocamos [formGroup]="formsActualiza"   -->
    <form  class="mat-dialog-content"  id="idFormModalidad" [formGroup]="formsActualiza"   > 
    <div class="row">
            <mat-toolbar color="primary">
                    <span>Actualiza Autor</span>
            </mat-toolbar>
    </div>

    <div class="row" style="margin-top: 3%">
            <mat-form-field class="col-md-4">
                    <mat-label>Nombres</mat-label>
                    <input matInput [(ngModel)]="autor.nombres" name="nombre" formControlName="validaNombre"
                    maxlength="30"  >

                     <!--  MENSAJE DE VALIDACION   -->
                     <mat-hint style="color: red" *ngIf="formsActualiza.controls.validaNombre.touched">
                        <span *ngIf="formsActualiza.controls.validaNombre.hasError('required')">
                                El Nombre es requerido
                        </span>

                        <span *ngIf="formsActualiza.controls.validaNombre.hasError('pattern')">
                                El Nombre es 3 a 30 caracteres
                        </span>
                </mat-hint>
                <!-- FIN DEL MENSAJE DE VALIDACION   -->
            
                </mat-form-field>

            <mat-form-field class="col-md-4">
                    <mat-label>Apellidos</mat-label>
                    <input matInput [(ngModel)]="autor.apellidos" formControlName="validaApellido"
                    maxlength="30" >
                     <!--  MENSAJE DE VALIDACION   -->
                     <mat-hint style="color: red" *ngIf="formsActualiza.controls.validaNombre.touched">
                        <span *ngIf="formsActualiza.controls.validaApellido.hasError('required')">
                                El Apellido es requerido
                        </span>

                        <span *ngIf="formsActualiza.controls.validaApellido.hasError('pattern')">
                                El Apellido es 3 a 30 caracteres
                        </span>
                </mat-hint>
                <!-- FIN DEL MENSAJE DE VALIDACION   -->
            </mat-form-field>

        <mat-form-field class="col-md-4">                
                        <mat-label>Fecha de Nacimiento</mat-label>
                        <input matInput [(ngModel)]="autor.fechaNacimiento" type="date" formControlName="validaFecha">                    
                <!--  MENSAJE DE VALIDACION   -->                  
                <mat-hint style="color: red" *ngIf="formsActualiza.controls.validaFecha.touched">
                        <span *ngIf="formsActualiza.controls.validaFecha.hasError('required')">
                                La Fecha es requerida
                        </span>                        
                </mat-hint>
                <!-- FIN DEL MENSAJE DE VALIDACION   -->
        </mat-form-field>
    </div>

    <div class="row" style="margin-top: 3%">
            <mat-form-field class="col-md-4">
                    <mat-label>Teléfono</mat-label>
                    <input matInput [(ngModel)]="autor.telefono" formControlName="validaTelefono" maxlength="9" >

                    <!--  MENSAJE DE VALIDACION   -->
                    <mat-hint style="color: red" *ngIf="formsActualiza.controls.validaTelefono.touched">
                        <span *ngIf="formsActualiza.controls.validaTelefono.hasError('required')">
                                El Teléfono es requerido
                        </span>

                        <span *ngIf="formsActualiza.controls.validaTelefono.hasError('pattern')">
                                El Teléfono debe ser de 9 dígitos
                        </span>
                </mat-hint>
                <!-- FIN DEL MENSAJE DE VALIDACION   -->
            </mat-form-field>

            <mat-form-field class="col-md-4">
                    <mat-label>País</mat-label>
                    <mat-select [(ngModel)]="autor.pais!.idPais" formControlName="validaPais" >
                        <mat-option value="-1"> [Seleccione] </mat-option>
                            <mat-option *ngFor="let x of lstPais" [value]="x.idPais">
                                    {{x.nombre}}
                            </mat-option>
                    </mat-select>

                    <!--  MENSAJE DE VALIDACION   -->
                    <mat-hint style="color: red" *ngIf="formsActualiza.controls.validaPais.touched" >
                        <span *ngIf="formsActualiza.controls.validaPais.hasError('min')">
                            El País es requerido 
                        </span>
                        </mat-hint>
                        <!-- FIN DEL MENSAJE DE VALIDACION   -->
            </mat-form-field>

            <mat-form-field class="col-md-4">
                    <mat-label>Grado</mat-label>
                    <mat-select [(ngModel)]="autor.grado!.idDataCatalogo" formControlName="validaGrado">
                            <mat-option value="-1"> [Seleccione] </mat-option>
                            <mat-option *ngFor="let x of lstGrado" [value]="x.idDataCatalogo">
                                    {{x.descripcion}}    
                            </mat-option>
                    </mat-select>

                      <!--  MENSAJE DE VALIDACION   -->
                      <mat-hint style="color: red" *ngIf="formsActualiza.controls.validaGrado.touched" >
                        <span *ngIf="formsActualiza.controls.validaGrado.hasError('min')">
                            El Grado es requerido 
                        </span>
                </mat-hint>
                <!-- FIN DEL MENSAJE DE VALIDACION   -->
            </mat-form-field>
    </div>
   
    <div  mat-dialog-actions>
                    
            <button mat-raised-button 
                    type="submit"                         
                    (click) = "actualizaPC2()"
                    color="primary" 
                    [disabled]="formsActualiza.invalid"   
                    [mat-dialog-close]="1">
                    Actualiza
            </button>
            <button mat-button 
                    color="primary">
                    Salir
            </button>
    </div>

</form>

</div>